# Enum CallAudioRoute

java.lang.Object
java.lang.Enum<CallAudioRoute>
com.codename1.call.session.CallAudioRoute

All Implemented Interfaces:
  `Comparable<CallAudioRoute>`

public enum CallAudioRoute extends Enum<CallAudioRoute>
Where a call's audio is going. The ordinals cross the SPI boundary, so existing constants must not be reordered.

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BLUETOOTH`
  A Bluetooth headset or car kit.
  `EARPIECE`
  The earpiece held to the ear.
  `SPEAKER`
  The loudspeaker.
  `UNKNOWN`
  The platform has not said, or the route is one this API has no name for.
  `WIRED_HEADSET`
  A wired headset.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CallAudioRoute`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static CallAudioRoute[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, equals, getDeclaringClass, getEnumValues, hashCode, name, ordinal, setEnumValues, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### EARPIECE

    public static final CallAudioRoute EARPIECE
    The earpiece held to the ear.

  - ### SPEAKER

    public static final CallAudioRoute SPEAKER
    The loudspeaker.

  - ### WIRED_HEADSET

    public static final CallAudioRoute WIRED_HEADSET
    A wired headset.

  - ### BLUETOOTH

    public static final CallAudioRoute BLUETOOTH
    A Bluetooth headset or car kit.

  - ### UNKNOWN

    public static final CallAudioRoute UNKNOWN
    The platform has not said, or the route is one this API has no name for.

- ## Method Details

  - ### values

    public static CallAudioRoute[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static CallAudioRoute valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null